Qwt User's Guide 6.0.2

- Main Page
- Related Pages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Public Attributes
QwtColumnRect Class Reference

`#include <qwt_column_symbol.h>`

List of all members.

## Public Types

enum | Direction { LeftToRight, RightToLeft, BottomToTop, TopToBottom }

## Public Member Functions

| QwtColumnRect ()
Qt::Orientation | orientation () const
QRectF | toRect () const

## Public Attributes

Direction | direction
QwtInterval | hInterval
QwtInterval | vInterval

## Detailed Description

Directed rectangle representing bounding rectangle und orientation of a column.

## Member Enumeration Documentation

enum QwtColumnRect::Direction

Direction of the column.

Enumerator:

  LeftToRight | From left to right.
  RightToLeft | From right to left.
  BottomToTop | From bottom to top.
  TopToBottom | From top to bottom.

## Member Function Documentation

Qt::Orientation QwtColumnRect::orientation | ( |  | ) | const

inline

Returns:
  Orientation

QRectF QwtColumnRect::toRect | ( |  | ) | const

inline

Returns:
  A normalized QRect built from the intervals